<template>
	<a-drawer :width="500" title="搜索" placement="right" :open="openSearchModel" @close="onClose">
	    <template #extra>
	      <a-button style="margin-right: 8px" @click="clearSearch">清空搜索</a-button>
	      <a-button type="primary" @click="getData">搜索</a-button>
	    </template>
	    <a-form :model="commomParams.search">
	    	<a-row :gutter="[10]">
	    		<a-col span="24">
	    			<a-form-item>
	    				<a-input addon-before="求职者名称" v-model:value="commomParams.search.keyword" placeholder="请输入求职者名称" @keyup.enter="getData"/>
	    			</a-form-item>
	    		</a-col>
	    		<a-col span="24">
	    			<a-form-item>
						<a-select v-model:value="commomParams.search.gender" placeholder="请选择性别" @change="genderChange">
							<a-select-option value="">全部</a-select-option>
							<a-select-option value="男">男</a-select-option>
							<a-select-option value="女">女</a-select-option>
						</a-select>
	    			</a-form-item>
	    		</a-col>
	    	</a-row>
	    </a-form>
	  </a-drawer>
</template>

<script lang="ts" setup>
	import { ref, onMounted, watch, computed } from 'vue';
	import { useCommon } from '@/hooks/useCommon';
	let { store, commomParams, openSearchModel, hideSearch } = useCommon();
	let props = defineProps(['search_params']);
	const emit = defineEmits();
	
	openSearchModel = computed(() => {
		return store.state.openSearchModel;
	})

	interface listType {
		gender ?: String
		
	}

	commomParams.value.search = commomParams.value.search as listType;
	commomParams.value.search.gender = null;

	// watch(() => props.search_params, (newVal) => {
	// 	emit('searchData', commomParams.value.search)
	// })

	const getData = () => {
		emit('searchData', commomParams.value.search);
		hideSearch()
	}

	// 清空搜索
	const clearSearch = () => {
		commomParams.value.search = {
			page: 1,
			pagesize: 10,
			sort: 'id',
			sortby: 'desc',
			keyword: ''
		}
		emit('clearData', commomParams.value.search);
		hideSearch()
	}
	
	const onClose = () => {
		clearSearch()
		hideSearch()
	}
	

	const genderChange = (val) => {
		getData()
	}
	
</script>

<style>
</style>